%define upstream_name    Graph-Easy-As_svg
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Output a Graph::Easy as Scalable Vector Graphics (SVG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(Image::Info)
BuildRequires: perl(Test::More)
BuildArch: noarch

# JQ 2014-04-15
# Module redefines subs in Graph::Easy, thus duplicating perl modules
# provides. Therefore we remove all automatic provides and define
# manually the only official provides.
%global __provides_exclude perl\\(Graph::Easy.*\\)
Provides:   perl(Graph::Easy::As_svg)

%description
'Graph::Easy::As_svg' contains just the code for converting a Graph::Easy
object to a SVG text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc TODO SIGNATURE LICENSE README META.yml INSTALL CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-7pclos2017
- rebuild against updates

